import { SvelteComponentTyped } from "svelte";
export declare type UpdateEditorDetail = {
    input: HTMLTextAreaElement;
    output: HTMLElement;
    content: HTMLElement;
    source: string;
};
export declare type UpdateEditor = CustomEvent<UpdateEditorDetail>;
declare const __propDef: {
    props: {
        class?: string;
        hideLines?: boolean;
        lineCount?: number;
        source?: string;
        background?: string;
        fontFamily?: string;
        fontSize?: string;
        height?: string;
        lineHeight?: string;
        lineNumbersBg?: any;
        lineNumbersFg?: string;
        padding?: string;
        padx?: string;
        pady?: string;
        scrollThumb?: string;
        scrollTrack?: string;
        tabSize?: number;
        width?: string;
        inputClass?: string;
        outputClass?: string;
        contentClass?: string;
        lineNumbersClass?: string;
        update?: () => void;
    };
    events: {
        scroll: Event;
        input: Event;
        keypress: KeyboardEvent;
        keydown: KeyboardEvent;
        focus: FocusEvent;
        click: MouseEvent;
        mousedown: MouseEvent;
        mouseup: MouseEvent;
        mousemove: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type EditorProps = typeof __propDef.props;
export declare type EditorEvents = typeof __propDef.events;
export declare type EditorSlots = typeof __propDef.slots;
export default class Editor extends SvelteComponentTyped<EditorProps, EditorEvents, EditorSlots> {
    get update(): () => void;
}
export {};
